### Method

# GtkSource SpaceDrawer set_types_for_locations

#### Declaration [src]

    void
    gtk_source_space_drawer_set_types_for_locations (
      GtkSourceSpaceDrawer* drawer,
      GtkSourceSpaceLocationFlags locations,
      GtkSourceSpaceTypeFlags types
    )

#### Description [src]

Modifies the `GtkSourceSpaceDrawer:matrix` property at the specified `locations`.

#### Parameters

`locations`

  Type: `GtkSourceSpaceLocationFlags`

  One or several `GtkSourceSpaceLocationFlags`.

`types`

  Type: `GtkSourceSpaceTypeFlags`

  A combination of `GtkSourceSpaceTypeFlags`.